%define name	tcpreplay
%define version	1.4.5
%define release	1mdk

Summary:	A tool to replay captured network traffic.
Name:		%{name}
Version:	%{version} 
Release:	%{release} 
License:	BSD
Group:		Networking/Other
Source0:	%{name}-%{version}.tar.bz2
Patch0:		tcpreplay-DESTDIR.patch.bz2
Patch1:		tcpreplay-redblack.patch.bz2
Requires:	libnet >= 1.1
Requires:	libredblack1
Requires:	libpcap0 >= 0.7.2
BuildRequires:	libnet >= 1.1
BuildRequires:	libredblack1-devel
BuildRequires:	libpcap0-devel >= 0.7.2
URL:		http://tcpreplay.sf.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Tcpreplay is a tool to replay captured network traffic. Currently,
tcpreplay supports pcap (tcpdump) and snoop capture formats. Also
included, is tcpprep a tool to pre-process capture files to allow
increased performance under certain conditions as well as capinfo
which provides basic information about capture files.

%prep

%setup -q
%patch0 -p0 -b .DESTDIR
%patch1 -p0 -b .redblack

%build

%configure2_5x

%make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Docs/CHANGELOG
%doc Docs/CREDIT
%doc Docs/FAQ.css
%doc Docs/FAQ.html
%doc Docs/FAQ.pdf
%doc Docs/FAQ.txt
%doc Docs/README
%doc Docs/TODO
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man8/*
%{_mandir}/man1/*

%changelog
* Sat Aug 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.5-1mdk
- 1.4.5

* Wed Aug 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.4-1mdk
- 1.4.4

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.3-1mdk
- fix requires and buildrequires
- use macros

* Sun May 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.2-1mdk
- 1.4.2

* Tue May 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.1-1mdk
- 1.4.1

* Thu May 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.0-1mdk
- 1.4.0, fix P0, fix docs, build against -lredblack
- fix requires and buildrequires

* Sun May 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.3-1mdk
- 1.3.3

* Thu Jan 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.2-1mdk
- 1.3.2

* Tue Dec 24 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-1mdk
- 1.3.1
- added P0

* Sat Dec 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-1mdk
- initial cooker contrib
- used provided spec file but fixed it up

